// Copyright (c) 2022, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

/// FSF Free/Libre
const fsfLibreLicenses = <String>{
  'AFL-1.1',
  'AFL-1.2',
  'AFL-2.0',
  'AFL-2.1',
  'AFL-3.0',
  'AGPL-3.0',
  'APSL-2.0',
  'Apache-1.0',
  'Apache-1.1',
  'Apache-2.0',
  'Artistic-2.0',
  'BSD-2-Clause',
  'BSD-3-Clause',
  'BSD-3-Clause-Clear',
  'BSD-4-Clause',
  'BSL-1.0',
  'BitTorrent-1.1',
  'CC-BY-4.0',
  'CC-BY-SA-4.0',
  'CC0-1.0',
  'CDDL-1.0',
  'CECILL-2.0',
  'CECILL-B',
  'CECILL-C',
  'CPAL-1.0',
  'CPL-1.0',
  'ClArtistic',
  'Condor-1.1',
  'ECL-2.0',
  'EFL-2.0',
  'EPL-1.0',
  'EPL-2.0',
  'EUDatagrid',
  'EUPL-1.1',
  'EUPL-1.2',
  'FSFAP',
  'FTL',
  'GFDL-1.1',
  'GPL-2.0',
  'GPL-3.0',
  'HPND',
  'IJG',
  'IPA',
  'IPL-1.0',
  'ISC',
  'Imlib2',
  'Intel',
  'LGPL-2.1',
  'LGPL-3.0',
  'LPL-1.02',
  'LPPL-1.2',
  'LPPL-1.3a',
  'MIT',
  'MPL-1.1',
  'MS-PL',
  'MS-RL',
  'NCSA',
  'NOSL',
  'NPL-1.0',
  'NPL-1.1',
  'Nokia',
  'ODbL-1.0',
  'OFL-1.0',
  'OLDAP-2.3',
  'OLDAP-2.7',
  'OSL-1.0',
  'OSL-1.1',
  'OSL-2.0',
  'OSL-2.1',
  'OSL-3.0',
  'OpenSSL',
  'PHP-3.01',
  'Python-2.0',
  'QPL-1.0',
  'RPSL-1.0',
  'Ruby',
  'SGI-B-2.0',
  'SISSL',
  'SMLNJ',
  'SPL-1.0',
  'Sleepycat',
  'UPL-1.0',
  'Unlicense',
  'Vim',
  'W3C',
  'WTFPL',
  'X11',
  'XFree86-1.1',
  'YPL-1.1',
  'ZPL-2.0',
  'ZPL-2.1',
  'Zend-2.0',
  'Zimbra-1.3',
  'Zlib',
  'gnuplot',
  'iMatix',
  'xinetd',
};

/// OSI Approved
const osiApprovedLicenses = <String>{
  '0BSD',
  'AAL',
  'AFL-1.1',
  'AFL-1.2',
  'AFL-2.0',
  'AFL-2.1',
  'AFL-3.0',
  'AGPL-3.0',
  'APL-1.0',
  'APSL-1.0',
  'APSL-1.1',
  'APSL-1.2',
  'APSL-2.0',
  'Apache-1.1',
  'Apache-2.0',
  'Artistic-1.0',
  'Artistic-1.0-Perl',
  'Artistic-1.0-cl8',
  'Artistic-2.0',
  'BSD-1-Clause',
  'BSD-2-Clause',
  'BSD-2-Clause-Patent',
  'BSD-3-Clause',
  'BSD-3-Clause-LBNL',
  'BSL-1.0',
  'CAL-1.0-Combined-Work-Exception',
  'CATOSL-1.1',
  'CDDL-1.0',
  'CECILL-2.1',
  'CERN-OHL-P-2.0',
  'CERN-OHL-S-2.0',
  'CERN-OHL-W-2.0',
  'CNRI-Python',
  'CPAL-1.0',
  'CPL-1.0',
  'CUA-OPL-1.0',
  'ECL-1.0',
  'ECL-2.0',
  'EFL-1.0',
  'EFL-2.0',
  'EPL-1.0',
  'EPL-2.0',
  'EUDatagrid',
  'EUPL-1.1',
  'EUPL-1.2',
  'Entessa',
  'Fair',
  'Frameworx-1.0',
  'GPL-2.0',
  'GPL-3.0',
  'HPND',
  'IPA',
  'IPL-1.0',
  'ISC',
  'Intel',
  'LGPL-2.0',
  'LGPL-2.1',
  'LGPL-3.0',
  'LPL-1.0',
  'LPL-1.02',
  'LPPL-1.3c',
  'LiLiQ-P-1.1',
  'LiLiQ-R-1.1',
  'LiLiQ-Rplus-1.1',
  'MIT',
  'MIT-0',
  'MIT-Modern-Variant',
  'MPL-1.0',
  'MPL-1.1',
  'MPL-2.0',
  'MS-PL',
  'MS-RL',
  'MirOS',
  'Motosoto',
  'MulanPSL-2.0',
  'Multics',
  'NASA-1.3',
  'NCSA',
  'NGPL',
  'NPOSL-3.0',
  'NTP',
  'Naumen',
  'Nokia',
  'OCLC-2.0',
  'OFL-1.1',
  'OGTSL',
  'OLDAP-2.8',
  'OSET-PL-2.1',
  'OSL-1.0',
  'OSL-2.0',
  'OSL-2.1',
  'OSL-3.0',
  'PHP-3.0',
  'PHP-3.01',
  'PostgreSQL',
  'Python-2.0',
  'QPL-1.0',
  'RPL-1.1',
  'RPL-1.5',
  'RPSL-1.0',
  'RSCPL',
  'SISSL',
  'SPL-1.0',
  'SimPL-2.0',
  'Sleepycat',
  'UCL-1.0',
  'UPL-1.0',
  'Unicode-DFS-2016',
  'Unlicense',
  'VSL-1.0',
  'W3C',
  'Watcom-1.0',
  'Xnet',
  'ZPL-2.0',
  'ZPL-2.1',
  'Zlib',
};
